//-----------------------------------------------------------------------------
// FONT
//-----------------------------------------------------------------------------

#ifndef _NWFONT_H_
#define _NWFONT_H_

//-----------------------------------------------------------------------------
class NWFONT: public NWCLASS {
protected:
	PNWBITMAP		pBitmap;						// フォント用ビットマップ
	int				bCreate;						// ビットマップを作成したか
	void _precalc( void );
public:
	float			fU0[0x60];
	float			fV0[0x60];
	float			fU1[0x60];
	float			fV1[0x60];
	
	float			fAspectX;
	float			fAspectY;
	
	int				nBitmapX;						// ビットマップ中の原点
	int				nBitmapY;						// ビットマップ中の原点
	int				nBitmapW;						// ビットマップ中の間隔
	int				nBitmapH;						// ビットマップ中の間隔
	int				nDotX;							// 実際のドット数
	int				nDotY;							// 実際のドット数
	int				nPitchX;						// 実際の表示幅
	int				nPitchY;						// 実際の表示丈
	NWCOLOR			sColor;
	
	NWFONT( void );
	~NWFONT( void );
	
	void Release( void );
	void LoadFont( PNWPVR pPvr, int nX,int nY,int nW,int nH );
	void SetBitmap( PNWBITMAP pBM, int nX,int nY,int nW,int nH );
	PNWBITMAP GetBitmap( void );
	void SetColor( PNWCOLOR pColor );
	void SetParam( int nDX, int nDY, int nPX, int nPY );
};

//-----------------------------------------------------------------------------
#endif
